<template>
  <div class="app__container">
    <div
      class="flex flex-row justify-center items-center py-2 px-4 bg-[color:var(--background1)] text-base font-bold fixed top-[var(--header-height, 52px)] w-full z-40"
    >
      {{ $t("promotion") }}
    </div>
    <div v-if="!isGlobal" class="h-10 mb-2"></div>
    <promotion-m-promotion-component />
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "Promotion",
  setup() {
    const { themeColor } = themePropertyHelper;
    const isGlobal = computed(() => themeColor.value.Text?.includes("playful"));

    return {
      isGlobal,
    };
  },
});
</script>
